Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#1341 closed defect (fixed)

ffmpeg -async 1 broken for wmv files

Reported by: maccara Owned by:
Priority: important Component: ffmpeg
Version: git-master Keywords: async regression
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

Seems something is awry with the master branch with -async 1.

Used to work fine, but now I get "Error in av_buffersink_get_buffer_ref(): Invalid argument" for most audio packets for practically all wmv files (and replicated with one flv file also; possibly happens in general with containers having variable framerate video?) resulting in corrupt audio as a result. A couple of files in avi container I tested did not exhibit this issue.

Seems like a regression.

Simple test case with file downloaded from http://sourceforge.net/projects/vspeech/files/VSpeech%20Tutorial/1.0/tur1_shortcut.WMV/download

ffmpeg started on 2012-05-22 at 11:29:23
Report written to "ffmpeg-20120522-112923.log"
Command line:
ffmpeg -y -report -i tur1_shortcut.WMV -vn -async 1 -f wav nul
ffmpeg version N-40932-g42e80eb Copyright (c) 2000-2012 the FFmpeg developers
  built on May 21 2012 11:10:22 with gcc 4.4.6 (x86.generic.Komisar)
  configuration: --prefix=/c/Jenkins/jobs/ffmpeg/workspace/PLATFORM/x86/dist --target-os=mingw32 --enable-runtime-cpudetect --enable-gpl --enable-version3 --enable-nonfree --disable-debug --extra-cflags=-I/c/Jenkins/jobs/ffmpeg/workspace/PLATFORM/x86/lib/include --extra-ldflags=-L/c/Jenkins/jobs/ffmpeg/workspace/PLATFORM/x86/lib/lib --enable-avisynth --enable-libx264 --enable-libfaac --enable-openssl --enable-librtmp --extra-libs=-lrtmp --extra-libs=-lwinmm
  libavutil      51. 53.100 / 51. 53.100
  libavcodec     54. 21.101 / 54. 21.101
  libavformat    54.  5.101 / 54.  5.101
  libavdevice    53.  4.100 / 53.  4.100
  libavfilter     2. 75.100 /  2. 75.100
  libswscale      2.  1.100 /  2.  1.100
  libswresample   0. 15.100 /  0. 15.100
  libpostproc    52.  0.100 / 52.  0.100
[asf @ 03064140] Format asf probed with size=2048 and score=100
[asf @ 03064140] gpos mismatch our pos=24, end=26
[asf @ 03064140] gpos mismatch our pos=24, end=3207
[asf @ 03064140] gpos mismatch our pos=24, end=38
[asf @ 03064140] gpos mismatch our pos=24, end=246
[asf @ 03064140] gpos mismatch our pos=24, end=38
[asf @ 03064140] File position before avformat_find_stream_info() is 5318
[asf @ 03064140] parser not found for codec wmav2, packets or times may be invalid.
[asf @ 03064140] All info found
rfps: 14.833333 0.016502
rfps: 14.833333 0.016502
rfps: 14.916667 0.004147
rfps: 14.916667 0.004147
rfps: 15.000000 0.000016
rfps: 15.000000 0.000016
rfps: 15.083333 0.004111
rfps: 15.166667 0.016431
rfps: 15.166667 0.016431
rfps: 29.833333 0.016587
rfps: 29.833333 0.016587
rfps: 29.916667 0.004213
rfps: 29.916667 0.004213
rfps: 30.000000 0.000065
rfps: 30.000000 0.000065
rfps: 30.083333 0.004142
rfps: 30.166667 0.016444
rfps: 44.833333 0.016704
rfps: 44.833333 0.016704
rfps: 44.916667 0.004312
rfps: 44.916667 0.004312
rfps: 45.000000 0.000146
rfps: 45.000000 0.000146
rfps: 45.083333 0.004205
rfps: 45.166667 0.016489
rfps: 59.833333 0.016853
rfps: 59.833333 0.016853
rfps: 59.916667 0.004444
rfps: 59.916667 0.004444
rfps: 29.970030 0.000610
rfps: 29.970030 0.000610
rfps: 59.940060 0.002439
rfps: 59.940060 0.002439
rfps: 14.985015 0.000152
rfps: 14.985015 0.000152
[asf @ 03064140] File position after avformat_find_stream_info() is 100177
Guessed Channel Layout for  Input Stream #0.0 : stereo
Input #0, asf, from 'tur1_shortcut.WMV':
  Metadata:
    WMFSDKVersion   : 10.00.00.3646
    WMFSDKNeeded    : 0.0.0.0000
    IsVBR           : 0
    artist          : NGON
    copyright       : 6/26/2005
  Duration: 00:00:47.73, start: 0.000000, bitrate: 456 kb/s
    Chapter #0.0: start 3.000000, end 10.066000
    Metadata:
      title           : Clip 1
    Chapter #0.1: start 10.066000, end 12.866000
    Metadata:
      title           : Clip 2
    Chapter #0.2: start 12.866000, end 15.866000
    Metadata:
      title           : Clip 3
    Chapter #0.3: start 15.866000, end 17.399000
    Metadata:
      title           : Clip 4
    Chapter #0.4: start 17.399000, end 19.466000
    Metadata:
      title           : Clip 5
    Chapter #0.5: start 19.466000, end 21.066000
    Metadata:
      title           : Clip 6
    Chapter #0.6: start 21.066000, end 27.399000
    Metadata:
      title           : Clip 7
    Chapter #0.7: start 27.399000, end 29.266000
    Metadata:
      title           : Clip 8
    Chapter #0.8: start 29.266000, end 36.533000
    Metadata:
      title           : Clip 9
    Chapter #0.9: start 36.533000, end 47.732000
    Metadata:
      title           : Clip 10
    Stream #0:0, 5, 1/1000: Audio: wmav2 (a[1][0][0] / 0x0161), 44100 Hz, stereo, s16, 128 kb/s
    Stream #0:1, 41, 1/1000: Video: wmv1 (WMV1 / 0x31564D57), yuv420p, 640x480, 568 kb/s, 15 tbr, 1k tbn, 1k tbc
[abuffer source @ 0306A980] Setting entry with key 'time_base' to value '1/1000'
[abuffer source @ 0306A980] Setting entry with key 'sample_rate' to value '44100'
[abuffer source @ 0306A980] Setting entry with key 'sample_fmt' to value 's16'
[abuffer source @ 0306A980] Setting entry with key 'channel_layout' to value '0x3'
[abuffer @ 0306A920] tb:1/1000 samplefmt:s16 samplerate: 44100 ch layout:0x3
[aformat filter @ 0313FC20] Setting entry with key 'sample_fmts' to value 's16'
-async 1 is forwarded to lavfi similarly to -af aresample=min_comp=0.001:min_hard_comp=0.100000
[aresample @ 0313FE20] r:44100Hz -> r:44100Hz
Output #0, wav, to 'nul':
  Metadata:
    WMFSDKVersion   : 10.00.00.3646
    WMFSDKNeeded    : 0.0.0.0000
    IsVBR           : 0
    artist          : NGON
    copyright       : 6/26/2005
    encoder         : Lavf54.5.101
    Chapter #0.0: start 3.000000, end 10.066000
    Metadata:
      title           : Clip 1
    Chapter #0.1: start 10.066000, end 12.866000
    Metadata:
      title           : Clip 2
    Chapter #0.2: start 12.866000, end 15.866000
    Metadata:
      title           : Clip 3
    Chapter #0.3: start 15.866000, end 17.399000
    Metadata:
      title           : Clip 4
    Chapter #0.4: start 17.399000, end 19.466000
    Metadata:
      title           : Clip 5
    Chapter #0.5: start 19.466000, end 21.066000
    Metadata:
      title           : Clip 6
    Chapter #0.6: start 21.066000, end 27.399000
    Metadata:
      title           : Clip 7
    Chapter #0.7: start 27.399000, end 29.266000
    Metadata:
      title           : Clip 8
    Chapter #0.8: start 29.266000, end 36.533000
    Metadata:
      title           : Clip 9
    Chapter #0.9: start 36.533000, end 47.732000
    Metadata:
      title           : Clip 10
    Stream #0:0, 0, 1/44100: Audio: pcm_s16le ([1][0][0][0] / 0x0001), 44100 Hz, stereo, s16, 1411 kb/s
Stream mapping:
  Stream #0:0 -> #0:0 (wmav2 -> pcm_s16le)
Press [q] to stop, [?] for help
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8192 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 10254 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8215 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 5641 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6655 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8226 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8170 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8182 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8181 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8222 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8176 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6153 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12277 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6118 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12321 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 9464 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 11032 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6114 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6153 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12277 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 10239 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 5260 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 9063 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12278 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6165 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6152 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12278 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6161 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12278 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 5260 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 9063 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12311 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6142 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7653 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8225 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7906 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12601 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6098 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8754 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12278 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6142 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7432 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8416 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8700 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 11307 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7112 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8226 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7401 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8491 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8151 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8195 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8700 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8215 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12278 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6123 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7696 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8680 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 11429 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6495 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8711 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8215 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7666 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8182 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8710 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8215 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8171 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8181 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8226 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8171 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7696 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8181 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8681 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8215 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12267 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 5216 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 4526 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 10783 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 5608 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12277 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 9842 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 11120 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 5412 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8931 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7686 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8181 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8711 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12321 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6142 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8182 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8181 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7432 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8975 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 5652 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6103 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6192 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7784 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 9108 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12277 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 18406 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6151 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 10204 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 10283 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 10238 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 9312 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6303 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6902 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8182 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7696 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8181 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8226 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12291 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6628 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8225 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 5588 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8711 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8215 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8171 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8181 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8182 audio samples
size=       0kB time=00:00:40.54 bitrate=   0.0kbits/s    
discarding 8225 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6137 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6147 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8182 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8195 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8196 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8195 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8196 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8195 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8196 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8195 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8152 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 6161 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8226 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8171 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8181 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8196 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8170 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 12322 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 5216 audio samples
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 9107 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 8215 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
[aresample @ 0313FE20] [SWR @ 030CAEA0] discarding 7421 audio samples
Error in av_buffersink_get_buffer_ref(): Invalid argument
size=       0kB time=00:00:47.97 bitrate=   0.0kbits/s    

video:0kB audio:8200kB global headers:0kB muxing overhead -100.000000%

Note: I chose the test file at random - I can replicate this issue with practically all wmv files now, whereas this used to work fine in older ffmpeg versions.

Note 2: I'm just now bisecting which commit breaks async 1 and will add that info once done.

Change History (6)

comment:1 Changed 4 years ago by cehoyos

  • Keywords async added

Why are you using -async 1 for this sample, transcoding works fine here without?

You don't have to bisect: The relevant changes were 9d30a96 and fc49f22

comment:2 Changed 4 years ago by maccara

For this particular sample async probably is not needed - this specific sample was just to show the errors generated if -async 1 was used (and easy accessibility for the file). Whether async needed for this sample is completely besides the point; it still should not break when async is used.

The real use case is for batch converting stuff with some audio processing where it is much simpler to handle remuxing etc if the audio has the added silence/cut in the beginning. Also, it did no harm even if the file did not specifically need async in the first place.

So "this particular file is not needing async" is not a solution for when I have to deal with a file that actually does need it. ;)

Thanks for pointing out the relevant commits. Seems indeed async has been broken since fc49f22 (at least) and 9d30a96 just exposes the regression by converting the async parameter to the new filtering method. I did a quick test by directly invoking -af aresample=min_comp=0.001:min_hard_comp=0.100000 instead of -async 1 and the errors are the same. I wonder if aresample has ever worked for wmv files? (haven't been able to test further yet)

However, current behavior can't be the intended outcome and is a regression compared to old behavior with async before aresample.

comment:3 Changed 4 years ago by cehoyos

  • Keywords regression added
  • Priority changed from normal to important
  • Reproduced by developer set
  • Status changed from new to open

comment:4 Changed 4 years ago by cehoyos

  • Priority changed from important to minor

Michael has mostly fixed this regression, the remaining problem is that ffmpeg is a little too verbose now when transcoding the sample file.

comment:5 Changed 4 years ago by cehoyos

  • Priority changed from minor to important
  • Resolution set to fixed
  • Status changed from open to closed

Fixed by Michael, thank you for the report!

comment:6 Changed 4 years ago by maccara

Fix verified - works good now again.

Thank you Carl & Michael.

Note: See TracTickets for help on using tickets.